# Interface BytesStaticValue

A bytestring value (static length)

#### Category

Elementary types

#### Hierarchy

- BytesStaticValue

- Defined in codec/lib/format/elementary.ts:90

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:100

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:92

### type

type: BytesTypeStatic

- Defined in codec/lib/format/elementary.ts:91

### value

value: {
asHex: string;
rawAsHex?: string;
}

#### Type declaration

- ##### asHex: string

  hex-formatted, with leading "0x"

- ##### `Optional` rawAsHex?: string

- Defined in codec/lib/format/elementary.ts:93

Generated using TypeDoc